HomeGuidesAPI Reference
API Reference

Role Details

Get Role Details by RoleId, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT, BRANCH

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint retrieves the details of a role using its roleId.

Endpoint

GET https://demo-api.edfapay.com/api/v1/roles/role/{roleId}


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Query Parameters

FieldTypeRequiredDescription
roleIdstringYesUnique Role ID from EdfaPay (UUID).
📘

How to get the roleId

Create Role API: After creating a role, the id is returned in the success response. 👉 Create Role Responses

Edfapay Dashboard: Go to the Roles page, click the Columns icon, and enable the id field from Hidden Attributes.


Example Request

curl -X 'GET' \
  'https://demo-api.edfapay.com/api/v1/roles/role/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx' \
--header 'X-API-KEY: YOUR_API_KEY' \

Example Responses

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": {
        "createdBy": null,
        "createdTimestamp": "2026-04-20T12:47:30.252128609Z",
        "updatedBy": null,
        "updatedTimestamp": "2026-04-20T12:47:30.252016969Z",
        "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "name": "Users Viewer",
        "description": "Views the users list",
        "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "permissions": [
            "USER_READ"
        ]
    }
}
{
    "code": 404,
    "message": "Entity Role not found for fields [roleId, businessUnitId] and values [xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx, xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx]",
    "errorCode": "404",
    "data": null
}
Path Params
uuid
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*